Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::partial_sum_base_fn Struct Reference
Inheritance diagram for ranges::views::partial_sum_base_fn:

## Public Member Functions
template<typename Rng , typename Fun = plus>
constexpr partial_sum_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun={}) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename Fun = plus>

constexpr partial_sum_view<all_t<Rng>, Fun> ranges::views::partial_sum_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun = `{}`
| ) |  | const
| constexpr

Precondition
  requires `detail::partial_sum_view_constraints<all_t<Rng>, Fun>`